Subject: Re: EGCS/Mingw32 runtime error
From: [email-masked] (Mumit Khan)

19 Aug 1998 09:12:26 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Paul Garceau <[email-masked]>
Cc: [email-masked]

On Tue, 18 Aug 1998, Paul Garceau wrote:

> Greetings,
> 
> 	Been attempting to generate a SGI OpenGL example program 
> using EGCS/mingw32.
> 
> 	OpenGL app compiles and links without problems.
> 
> 	Runtime error is returned "Unable to find dll file ll in path..."
> 
> 	"path" is the system path for this NT 4 machine.
> 
> 	Any ideas (Mumit? Colin?)?

Hi Paul,

I blame this on "growing pains". I've seen this error when the import stub
library (eg., libfoo.a that goes with foo.dll) was created an older
version of dlltool such as the one distributed with b18 or perhaps maybe 
the one with b19 (which I never used, so wouldn't know).

First of all, you'll need to figure out what DLL is causing this error
(not always the obvious one in my experience), and then I suggest the 
following to test my hypothesis:
  
  1. use impdef or some such tool to extract the .def file from the .dll
     file. Jan-Jaap or Colin has an impdef on their site.
  
  2. Create a new import library .a file from .def file using dlltool
     from either my mingw32 1.0.2 distrib  or binutils-2.9.1 (it's on
     my ftp site).

If the problem still remains, we'll cross that bridge then. If you're
already tried all this, the bridge is already gone and we can take it
up via private email and then summarize to the list ...

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".